GXml.ArrayList – GXml-0.20 Reference Manual

# ArrayList

## Object Hierarchy:

## Description:

public class ArrayList : BaseCollection, List

A class implementing Collection to store references to child DomElement of Collection.element, using an index.

      public class YourObject : GXml.Element {
       [Description (nick="::Name")]
       public string name { get; set; }
      }
      public class YourList : GXml.ArrayList {
       construct {
         try { initialize (typeof (YourObject)); }
         catch (GLib.Error e) {
           warning ("Initialization error for collection type: %s : %s"
                .printf (get_type ().name(), e.message));
         }
       }
      }

All known sub-classes:

- XsdList
- XsdListComplexTypes

- XsdListElements
- XsdListSimpleTypes

- XsdListTypeRestrictionEnumerations
- XsdListTypeRestrictionWhiteSpaces

Namespace: GXml
Package: GXml-0.20

## Content:

### Creation methods:

- public ArrayList ()

### Methods:

- public override bool validate_append (int index, DomElement element) throws Error

### Inherited Members:

All known members inherited from class GXml.BaseCollection

- @foreach
- _element
- _items_name
- _items_type
- _nodes_index
- append

- clear
- element
- initialize
- initialize_element
- items_name

- items_type
- iterator
- nodes_index
- search
- validate_append

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gee.Traversable

- @foreach
- all_match
- any_match
- chop
- element_type
- filter

- first_match
- flat_map
- fold
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface GXml.Collection

- append
- clear
- create_item
- element

- get_item
- initialize
- items_name
- items_type

- length
- nodes_index
- search
- validate_append